OpenNMS API 1.2.9

## org.opennms.netmgt.config.vulnscand
Class VulnscandConfiguration

    java.lang.Object
      org.opennms.netmgt.config.vulnscand.VulnscandConfiguration

All Implemented Interfaces:
  java.io.Serializable

public class VulnscandConfiguration
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private Excludes` `_excludes`
`private boolean` `_has_initialSleepTime` keeps track of state for field: _initialSleepTime
`private boolean` `_has_maxRescanThreadPoolSize` keeps track of state for field: _maxRescanThreadPoolSize
`private boolean` `_has_maxSuspectThreadPoolSize` keeps track of state for field: _maxSuspectThreadPoolSize
`private boolean` `_has_rescanFrequency` keeps track of state for field: _rescanFrequency
`private boolean` `_has_serverPort` keeps track of state for field: _serverPort
`private boolean` `_has_status` keeps track of state for field: _status
`private long` `_initialSleepTime`
`private ManagedInterfaces` `_managedInterfaces`
`private int` `_maxRescanThreadPoolSize`
`private int` `_maxSuspectThreadPoolSize`
`private long` `_rescanFrequency`
`private java.util.ArrayList` `_scanLevelList`
`private java.lang.String` `_serverAddress`
`private java.lang.String` `_serverPassword`
`private int` `_serverPort`
`private java.lang.String` `_serverUsername`
`private boolean` `_status`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`VulnscandConfiguration()`

Method Summary
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `addScanLevel(int index, ScanLevel vScanLevel)`
`void` `addScanLevel(ScanLevel vScanLevel)`
`void` `clearScanLevel()`
`void` `deleteInitialSleepTime()`
`void` `deleteRescanFrequency()`
`java.util.Enumeration` `enumerateScanLevel()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`Excludes` `getExcludes()` Returns the value of field 'excludes'.
`long` `getInitialSleepTime()` Returns the value of field 'initialSleepTime'.
`ManagedInterfaces` `getManagedInterfaces()` Returns the value of field 'managedInterfaces'.
`int` `getMaxRescanThreadPoolSize()` Returns the value of field 'maxRescanThreadPoolSize'.
`int` `getMaxSuspectThreadPoolSize()` Returns the value of field 'maxSuspectThreadPoolSize'.
`long` `getRescanFrequency()` Returns the value of field 'rescanFrequency'.
`ScanLevel[]` `getScanLevel()`
`ScanLevel` `getScanLevel(int index)`
`java.util.Collection` `getScanLevelCollection()`
`int` `getScanLevelCount()`
`java.lang.String` `getServerAddress()` Returns the value of field 'serverAddress'.
`java.lang.String` `getServerPassword()` Returns the value of field 'serverPassword'.
`int` `getServerPort()` Returns the value of field 'serverPort'.
`java.lang.String` `getServerUsername()` Returns the value of field 'serverUsername'.
`boolean` `getStatus()` Returns the value of field 'status'.
`boolean` `hasInitialSleepTime()`
`boolean` `hasMaxRescanThreadPoolSize()`
`boolean` `hasMaxSuspectThreadPoolSize()`
`boolean` `hasRescanFrequency()`
`boolean` `hasServerPort()`
`boolean` `hasStatus()`
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`boolean` `removeScanLevel(ScanLevel vScanLevel)`
`void` `setExcludes(Excludes excludes)` Sets the value of field 'excludes'.
`void` `setInitialSleepTime(long initialSleepTime)` Sets the value of field 'initialSleepTime'.
`void` `setManagedInterfaces(ManagedInterfaces managedInterfaces)` Sets the value of field 'managedInterfaces'.
`void` `setMaxRescanThreadPoolSize(int maxRescanThreadPoolSize)` Sets the value of field 'maxRescanThreadPoolSize'.
`void` `setMaxSuspectThreadPoolSize(int maxSuspectThreadPoolSize)` Sets the value of field 'maxSuspectThreadPoolSize'.
`void` `setRescanFrequency(long rescanFrequency)` Sets the value of field 'rescanFrequency'.
`void` `setScanLevel(int index, ScanLevel vScanLevel)`
`void` `setScanLevel(ScanLevel[] scanLevelArray)`
`void` `setScanLevelCollection(java.util.Collection vScanLevel)`
`void` `setServerAddress(java.lang.String serverAddress)` Sets the value of field 'serverAddress'.
`void` `setServerPassword(java.lang.String serverPassword)` Sets the value of field 'serverPassword'.
`void` `setServerPort(int serverPort)` Sets the value of field 'serverPort'.
`void` `setServerUsername(java.lang.String serverUsername)` Sets the value of field 'serverUsername'.
`void` `setStatus(boolean status)` Sets the value of field 'status'.
`static VulnscandConfiguration` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _rescanFrequency

    private long _rescanFrequency

### _has_rescanFrequency

    private boolean _has_rescanFrequency

  keeps track of state for field: _rescanFrequency

### _initialSleepTime

    private long _initialSleepTime

### _has_initialSleepTime

    private boolean _has_initialSleepTime

  keeps track of state for field: _initialSleepTime

### _maxSuspectThreadPoolSize

    private int _maxSuspectThreadPoolSize

### _has_maxSuspectThreadPoolSize

    private boolean _has_maxSuspectThreadPoolSize

  keeps track of state for field: _maxSuspectThreadPoolSize

### _maxRescanThreadPoolSize

    private int _maxRescanThreadPoolSize

### _has_maxRescanThreadPoolSize

    private boolean _has_maxRescanThreadPoolSize

  keeps track of state for field: _maxRescanThreadPoolSize

### _serverAddress

    private java.lang.String _serverAddress

### _serverPort

    private int _serverPort

### _has_serverPort

    private boolean _has_serverPort

  keeps track of state for field: _serverPort

### _serverUsername

    private java.lang.String _serverUsername

### _serverPassword

    private java.lang.String _serverPassword

### _status

    private boolean _status

### _has_status

    private boolean _has_status

  keeps track of state for field: _status

### _managedInterfaces

    private ManagedInterfaces _managedInterfaces

### _scanLevelList

    private java.util.ArrayList _scanLevelList

### _excludes

    private Excludes _excludes

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### VulnscandConfiguration

    public VulnscandConfiguration()

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### addScanLevel

    public void addScanLevel(ScanLevel vScanLevel)
                      throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vScanLevel` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addScanLevel

    public void addScanLevel(int index,
                             ScanLevel vScanLevel)
                      throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vScanLevel` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### clearScanLevel

    public void clearScanLevel()

### deleteInitialSleepTime

    public void deleteInitialSleepTime()

### deleteRescanFrequency

    public void deleteRescanFrequency()

### enumerateScanLevel

    public java.util.Enumeration enumerateScanLevel()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getExcludes

    public Excludes getExcludes()

  Returns the value of field 'excludes'.

  Returns:
    the value of field 'excludes'.

### getInitialSleepTime

    public long getInitialSleepTime()

  Returns the value of field 'initialSleepTime'.

  Returns:
    the value of field 'initialSleepTime'.

### getManagedInterfaces

    public ManagedInterfaces getManagedInterfaces()

  Returns the value of field 'managedInterfaces'.

  Returns:
    the value of field 'managedInterfaces'.

### getMaxRescanThreadPoolSize

    public int getMaxRescanThreadPoolSize()

  Returns the value of field 'maxRescanThreadPoolSize'.

  Returns:
    the value of field 'maxRescanThreadPoolSize'.

### getMaxSuspectThreadPoolSize

    public int getMaxSuspectThreadPoolSize()

  Returns the value of field 'maxSuspectThreadPoolSize'.

  Returns:
    the value of field 'maxSuspectThreadPoolSize'.

### getRescanFrequency

    public long getRescanFrequency()

  Returns the value of field 'rescanFrequency'.

  Returns:
    the value of field 'rescanFrequency'.

### getScanLevel

    public ScanLevel getScanLevel(int index)
                           throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getScanLevel

    public ScanLevel[] getScanLevel()

### getScanLevelCollection

    public java.util.Collection getScanLevelCollection()

### getScanLevelCount

    public int getScanLevelCount()

### getServerAddress

    public java.lang.String getServerAddress()

  Returns the value of field 'serverAddress'.

  Returns:
    the value of field 'serverAddress'.

### getServerPassword

    public java.lang.String getServerPassword()

  Returns the value of field 'serverPassword'.

  Returns:
    the value of field 'serverPassword'.

### getServerPort

    public int getServerPort()

  Returns the value of field 'serverPort'.

  Returns:
    the value of field 'serverPort'.

### getServerUsername

    public java.lang.String getServerUsername()

  Returns the value of field 'serverUsername'.

  Returns:
    the value of field 'serverUsername'.

### getStatus

    public boolean getStatus()

  Returns the value of field 'status'.

  Returns:
    the value of field 'status'.

### hasInitialSleepTime

    public boolean hasInitialSleepTime()

### hasMaxRescanThreadPoolSize

    public boolean hasMaxRescanThreadPoolSize()

### hasMaxSuspectThreadPoolSize

    public boolean hasMaxSuspectThreadPoolSize()

### hasRescanFrequency

    public boolean hasRescanFrequency()

### hasServerPort

    public boolean hasServerPort()

### hasStatus

    public boolean hasStatus()

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### removeScanLevel

    public boolean removeScanLevel(ScanLevel vScanLevel)

  Parameters:
    `vScanLevel` -

### setExcludes

    public void setExcludes(Excludes excludes)

  Sets the value of field 'excludes'.

  Parameters:
    `excludes` - the value of field 'excludes'.

### setInitialSleepTime

    public void setInitialSleepTime(long initialSleepTime)

  Sets the value of field 'initialSleepTime'.

  Parameters:
    `initialSleepTime` - the value of field 'initialSleepTime'

### setManagedInterfaces

    public void setManagedInterfaces(ManagedInterfaces managedInterfaces)

  Sets the value of field 'managedInterfaces'.

  Parameters:
    `managedInterfaces` - the value of field 'managedInterfaces'.

### setMaxRescanThreadPoolSize

    public void setMaxRescanThreadPoolSize(int maxRescanThreadPoolSize)

  Sets the value of field 'maxRescanThreadPoolSize'.

  Parameters:
    `maxRescanThreadPoolSize` - the value of field 'maxRescanThreadPoolSize'.

### setMaxSuspectThreadPoolSize

    public void setMaxSuspectThreadPoolSize(int maxSuspectThreadPoolSize)

  Sets the value of field 'maxSuspectThreadPoolSize'.

  Parameters:
    `maxSuspectThreadPoolSize` - the value of field 'maxSuspectThreadPoolSize'.

### setRescanFrequency

    public void setRescanFrequency(long rescanFrequency)

  Sets the value of field 'rescanFrequency'.

  Parameters:
    `rescanFrequency` - the value of field 'rescanFrequency'.

### setScanLevel

    public void setScanLevel(int index,
                             ScanLevel vScanLevel)
                      throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vScanLevel` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setScanLevel

    public void setScanLevel(ScanLevel[] scanLevelArray)

  Parameters:
    `scanLevelArray` -

### setScanLevelCollection

    public void setScanLevelCollection(java.util.Collection vScanLevel)

  Parameters:
    `vScanLevel` -

### setServerAddress

    public void setServerAddress(java.lang.String serverAddress)

  Sets the value of field 'serverAddress'.

  Parameters:
    `serverAddress` - the value of field 'serverAddress'.

### setServerPassword

    public void setServerPassword(java.lang.String serverPassword)

  Sets the value of field 'serverPassword'.

  Parameters:
    `serverPassword` - the value of field 'serverPassword'.

### setServerPort

    public void setServerPort(int serverPort)

  Sets the value of field 'serverPort'.

  Parameters:
    `serverPort` - the value of field 'serverPort'.

### setServerUsername

    public void setServerUsername(java.lang.String serverUsername)

  Sets the value of field 'serverUsername'.

  Parameters:
    `serverUsername` - the value of field 'serverUsername'.

### setStatus

    public void setStatus(boolean status)

  Sets the value of field 'status'.

  Parameters:
    `status` - the value of field 'status'.

### unmarshal

    public static VulnscandConfiguration unmarshal(java.io.Reader reader)
                                            throws org.exolab.castor.xml.MarshalException,
                                                   org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.